%define		oname		pSX
%define		name		psx
%define		version		113

Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Summary:	emulator that fully emulates the Sony Playstation. 
Group:		Emulators
License:	Freeware
URL:		http://psxemulator.gazaxian.com/
Source:		%{oname}%{version}.tar.xz
Source1:	%{oname}.png
BuildRequires:	imagemagick
BuildRequires:  libalsa2
BuildRequires:  gtk+2.0
BuildRequires:  libgtkglext-1.0_0
BuildRequires:  libxml2
ExclusiveArch:	%{ix86}
Obsoletes:	%{oname} <= %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
pSX emulates the Sony Playstation 1, pretty much everything is emulated
(to my knowledge) and most games run perfectly. 

One thing that should be noted is that pSX DOES NOT use plugins.
The emulator is completely self contained.

The emulator has been designed to be as easy and unobtrusive to use
as possible - in most cases you will not need to configure anything
to use it (except maybe the controls).

Requires BIOS ROMs.

Pulseaudio must be disabled for pSX to run.

%prep
%setup -q -n %{oname}

%build
 

%install
%__rm -rf %{buildroot}
# install section
%__install -D -m 755 %{oname} %{buildroot}%{_bindir}/%{name}

#Icons
%__mkdir_p %{buildroot}%{_datadir}/pixmaps/
%__install -c -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%__mkdir_p %{buildroot}/%{_miconsdir} \
	 %{buildroot}/%{_liconsdir} \
	 %{buildroot}/%{_iconsdir}

%__install -m 644 %{SOURCE1} %{buildroot}/%{_miconsdir}/%{name}.png
%__install -m 644 %{SOURCE1} %{buildroot}/%{_iconsdir}/%{name}.png
%__install -m 644 %{SOURCE1} %{buildroot}/%{_liconsdir}/%{name}.png
convert %{buildroot}%{_miconsdir}/%{name}.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{buildroot}%{_iconsdir}/%{name}.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png

# install menu entries
%__mkdir_p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=emulator that fully emulates the Sony Playstation.
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc History.txt Readme.txt
%{_bindir}/%{name}
# desktop integration
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Wed Jul 11 2012 Neal <nealbrks0 at gmail dot com> 113-2pclos2012
- process

* Tue Jul 10 2012 Agent Smith <ruidobranco@yahoo.com.br> 113-2pclos2012.0
- Changed the icon with a better one

* Thu Apr 12 2012 Neal <nealbrks0 at gmail.com> 113-1pclos2012.0
- rename specfile to pclos-pSX.spec
- convert source from tar.gz to tar.xz
process

* Tue Mar 27 2012 Agent Smith <ruidobranco@yahoo.com.br> 113-1pclos2012.0
+ Revision: 113
- Created package pSX
